package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "t_core_engine_server_info"
)
public class TCoreEngineServerInfo extends TBaseEntity {
   private String servername;
   private String ip;
   private String username;
   private String pwd;
   private String port;
   private String isrun;
   private Date createtime;
   private Date updatetime;
   private String remarks;
   private String delflg;
   private String serverid;
   @Transient
   private int logicalcpucnt;
   @Transient
   private double loadaverage = (double)-1.0F;

   public String getServername() {
      return this.servername;
   }

   public void setServername(String servername) {
      this.servername = servername;
   }

   public String getIp() {
      return this.ip;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPwd() {
      return this.pwd;
   }

   public void setPwd(String pwd) {
      this.pwd = pwd;
   }

   public String getPort() {
      return this.port;
   }

   public void setPort(String port) {
      this.port = port;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getIsrun() {
      return this.isrun;
   }

   public void setIsrun(String isrun) {
      this.isrun = isrun;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public int getLogicalcpucnt() {
      return this.logicalcpucnt;
   }

   public void setLogicalcpucnt(int logicalcpucnt) {
      this.logicalcpucnt = logicalcpucnt;
   }

   public double getLoadaverage() {
      return this.loadaverage;
   }

   public void setLoadaverage(double loadaverage) {
      this.loadaverage = loadaverage;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public String getDelflg() {
      return this.delflg;
   }

   public void setDelflg(String delflg) {
      this.delflg = delflg;
   }

   public String getServerid() {
      return this.serverid;
   }

   public void setServerid(String serverid) {
      this.serverid = serverid;
   }
}
